/**
 * 
 */
package es.dalocar.facturamas.reports;

import java.util.Collection;
import java.util.Map;

import net.sf.jasperreports.engine.JasperPrint;

/**
 * @author dlopez
 *
 */
public interface Report {

	/**
	 * Configurar el informe
	 * @param params parámetros de configuración
	 */
	void configure(Map params);
	
	/**
	 * Obtener el objeto JasperPrint para impresión
	 * @return el objeto JasperPrint
	 */
	JasperPrint getJasperPrint();
	
	/**
	 * Establecer la coleccion de beans a imprimir
	 * @param collection
	 */
	void setBeans(Collection collection);
	
	/**
	 * Devuelve la coleccion de beans del informe
	 * @return
	 */
	Collection getBeans();
	
	/**
	 * Obtener los parámetros del informe
	 * @return
	 */
	Map getParams();
}
